curl --request GET \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234",
"workspaceId": "b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234",
"participants": {
"externals": [
{
"identifier": "ef7ee722-5f95-415a-9a98-81eeae178b11",
"identifierType": "EMAIL",
"role": "EXTERNAL",
"joinedAt": "2004-04-10T09:00:00.000Z",
"lastSeenAt": null
}
],
"internals": [
{
"identifier": "ef7ee722-5f95-415a-9a98-81eeae178b11",
"identifierType": "EMAIL",
"role": "EXTERNAL",
"joinedAt": "2004-04-10T09:00:00.000Z",
"lastSeenAt": null
}
]
},
"createdAt": "2003-04-10T09:00:00.000Z",
"updatedAt": "2003-04-10T09:00:00.000Z",
"name": "Bridge Support Team",
"status": "ACTIVE"
}Get conversation by id
Get a specific conversation by its unique identifier within the workspace.
Authorizations
Copy the API key as provided by the Bridge Console.
Path Parameters
Unique identifier of the workspace (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Unique identifier of the conversation (UUID v4).
"4e362e2b-67b2-4a7e-a9df-e9ecf9141be8"
Response
Successful Response
Response body for conversation details.
Unique identifier of the conversation (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Unique identifier of the workspace (UUID v4).
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Participants of the conversation.
Show child attributes
Show child attributes
Timestamp when the conversation was created.
"2003-04-10T09:00:00.000Z"
Timestamp when the conversation was last updated.
"2003-04-10T09:00:00.000Z"
Optional name/title for the conversation.
"Bridge Support Team"
Current conversation status - 'ACTIVE' for visible conversations, 'GHOST' for invisible until first interaction.
ACTIVE, GHOST, RELEASED, NOT_ASSIGNED_TO_HUMAN, BLOCKED "ACTIVE"
Was this page helpful?

